USB sound card not detected on beagleboard xM

Bug #1019321 reported by Francesco Brundu
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Paolo Pisati
Precise
Medium
Paolo Pisati
Quantal
Medium
Paolo Pisati

Bug Description

1)
Description: Ubuntu quantal (development branch)
Release: 12.10

but I had this problem also in Ubuntu 12.04

4)
No soundcard listed, no audio output

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: alsa-base 1.0.25+dfsg-0ubuntu2
ProcVersionSignature: Ubuntu 3.2.0-25.40-omap 3.2.18
Uname: Linux 3.2.0-25-omap armv7l
AlsaDevices:
 total 0
 crw-rw---T+ 1 root audio 116, 1 Apr 23 20:53 seq
 crw-rw---T+ 1 root audio 116, 33 Apr 23 20:53 timer
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
AplayDevices: aplay: device_list:252: no soundcards found...
ApportVersion: 2.2.5-0ubuntu1
Architecture: armhf
ArecordDevices: arecord: device_list:252: no soundcards found...
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
Date: Mon Apr 23 21:04:01 2012
PackageArchitecture: all
PciMultimedia:

ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: alsa-driver
Symptom: audio
Title: USB sound card not detected
UpgradeStatus: Upgraded to quantal on 2012-04-23 (0 days ago)
mtime.conffile..etc.modprobe.d.alsa.base.conf: 2012-04-23T21:02:47.363647

Revision history for this message
Francesco Brundu (francesco-brundu) wrote :
Changed in alsa-driver (Ubuntu):
status: New → Confirmed
summary: - USB sound card not detected
+ USB sound card not detected on beagleboard xM
tags: added: precise
Revision history for this message
smiki (micouk) wrote :

the soundcard was working for 11.10. But is no longer working with 12.04. Im using a beagleboard.
But I think this is a kernel issue not alsa.

the linaro kernel provided in the repositories does gets the soundcard working.
I'm now using 3.0.0-1007-linaro-omap and everything works regarding sound. Downside is that the linaro kernel has so many things disbled that bazilion other things does not work. Most notably there is no cifs/smbfs support

So if you only need the sondcard working you can use the linaro kernel until this gets fixed in the main omap kernels

smiki (micouk)
affects: alsa-driver (Ubuntu) → linux-meta (Ubuntu)
Brad Figg (brad-figg)
affects: linux-meta (Ubuntu) → linux (Ubuntu)
Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

francesco, thank you for taking the time to report this bug and helping to make Ubuntu better. Please execute the following command, as it will automatically gather debugging information, in a terminal:
apport-collect 1019321

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Changed in linux (Ubuntu):
importance: Undecided → Medium
Revision history for this message
Francesco Brundu (francesco-brundu) wrote :

Christopher, unfortunately I do not own the board to collect debug informations now. I'll do it next days as soon as possible.

Revision history for this message
Francesco Brundu (francesco-brundu) wrote :

I am unable to do "apport-collect", it fails with

root@beagle:/usr/lib/python2.7/dist-packages/apport# apport-collect 1019321
ERROR: connecting to Launchpad failed: [Errno 1] _ssl.c:504: error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed
You can reset the credentials by removing the file "/root/.cache/apport/launchpad.credentials"

Moreover firefox tells me "Certificate is not currently valid" for bugs.launchpad.net. What can I do?

Revision history for this message
Francesco Brundu (francesco-brundu) wrote :

I tried to use linaro kernel from linaro-maintainers ppa on precise 12.04 (because there are not versions provided for 12.10). I used version linux-image-3.3.1-37-linaro-omap.
It hangs on boot with the following log http://pastebin.com/Q2pfPsFw
I tried also to do apport-collect on precise, but it fails with the same error written on comment #5.
I'm going back to 12.10, waiting for a patch to be provided or is it better to stay on 12.04?
Thanks

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

francesco, regarding https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1019321/comments/5 , did you try the suggestion that was provided:
>"You can reset the credentials by removing the file '/root/.cache/apport/launchpad.credentials'"?

Regarding https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1019321/comments/6 , please do not post information using pastebin. For more on this please see https://help.ubuntu.com/community/ReportingBugs#Adding_Additional_Attachments_to_an_Existing_Launchpad_Bug . Could you please post this directly into this report?

Revision history for this message
Francesco Brundu (francesco-brundu) wrote :

Christopher, I did the suggestion provided the first time I got that error, at least once, but nothing happened. I will retry in few hours.

I am sorry I posted bug informations to pastebin, I will attach that report here.

Revision history for this message
Francesco Brundu (francesco-brundu) wrote :
Revision history for this message
smiki (micouk) wrote :

Francesco, As I was stating earlier, the 3.0.0-1007-linaro-omap kernel is in the 12.04 standard repositories and is working (booting) flawlessly. So you don't need a PPA repository.
Please try that one instead.

Revision history for this message
smiki (micouk) wrote : apport information

AcpiTables:

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: omap3beagle [omap3beagle], device 0: TWL4030 twl4030-hifi-0 []
   Subdevices: 1/1
   Subdevice #0: subdevice #0
ApportVersion: 2.0.1-0ubuntu8
Architecture: armel
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: omap3beagle [omap3beagle], device 0: TWL4030 twl4030-hifi-0 []
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/dsp', '/dev/snd/by-path', '/dev/snd/controlC0', '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/timer'] failed with exit code 1:
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'omap3beagle'/'omap3beagle'
   Mixer name : ''
   Components : ''
   Controls : 70
   Simple ctrls : 67
CurrentDmesg:
 [ 37.886169] wlan0: no IPv6 routers present
 [ 52.306152] omap_device: omap-mcbsp.2: new worst case activate latency 0: 122070
 [ 52.364776] omap_device: omap-mcbsp.2: new worst case deactivate latency 0: 30517
 [ 73.122558] Adding 524284k swap on /SWAP.swap. Priority:-1 extents:142 across:1990888k SS
DistroRelease: Ubuntu 12.04
Lsusb:
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 002: ID 0424:9514 Standard Microsystems Corp.
 Bus 001 Device 003: ID 0424:ec00 Standard Microsystems Corp.
 Bus 001 Device 004: ID 0db0:6861 Micro Star International MSI-6861 802.11g WiFi adapter
Package: linux (not installed)
PciMultimedia:

ProcEnviron:
 TERM=screen
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB:
 0 omapfb
 1 omapfb
 2 omapfb
ProcKernelCmdLine: splash ro elevator=noop vram=12M omapfb.mode=dvi:1280x720MR-16@60 root=UUID=0fb27777-8508-4794-8ea1-3ea0b9f7163d fixrtc console=ttyO2,115200n8 serialtty=ttyO2 console=tty0
ProcVersionSignature: Ubuntu 3.0.0-1007.9-linaro-omap 3.0.0
RelatedPackageVersions:
 linux-restricted-modules-3.0.0-1007-linaro-omap N/A
 linux-backports-modules-3.0.0-1007-linaro-omap N/A
 linux-firmware 1.79
RfKill: Can't open RFKILL control device: No such file or directory
Tags: precise
Uname: Linux 3.0.0-1007-linaro-omap armv7l
UpgradeStatus: Upgraded to precise on 2012-06-10 (24 days ago)
UserGroups: adm admin audio cdrom dialout dip fax floppy fuse lpadmin netdev plugdev pulse sambashare tape video
WifiSyslog:

tags: added: apport-collected
Revision history for this message
smiki (micouk) wrote : AlsaDevices.txt

apport information

Revision history for this message
smiki (micouk) wrote : BootDmesg.txt

apport information

Revision history for this message
smiki (micouk) wrote : Card0.Amixer.values.txt

apport information

Revision history for this message
smiki (micouk) wrote : IwConfig.txt

apport information

Revision history for this message
smiki (micouk) wrote : ProcCpuinfo.txt

apport information

Revision history for this message
smiki (micouk) wrote : ProcInterrupts.txt

apport information

Revision history for this message
smiki (micouk) wrote : ProcModules.txt

apport information

Revision history for this message
smiki (micouk) wrote : UdevDb.txt

apport information

Revision history for this message
smiki (micouk) wrote : UdevLog.txt

apport information

Revision history for this message
smiki (micouk) wrote : WpaSupplicantLog.txt

apport information

Revision history for this message
Francesco Brundu (francesco-brundu) wrote :

smiki, I will try to install it from the repositories in few hours.
I tried to install it from the ppa because I didn't find it in repos.
Maybe I am wrong but this page http://packages.ubuntu.com/search?keywords=linaro&searchon=names&suite=all&section=all doesn't show any linux-image-*-linaro-omap in the standard repository.
Moreover I found (from this ppa https://launchpad.net/ubuntu/+source/linux-linaro-omap) that the architecture for which that particular linux-image is provided is armel, but my beagle is armhf (armv7), that sounds to me like (as stated in http://wiki.debian.org/ArmHardFloatPort/) it is supported for board using arm v <6.
I don't know if I misunderstood something, anyway as you suggested I will try to install it from repos in few hours.

Revision history for this message
smiki (micouk) wrote :

francesco,

The package search portal (packages.ubuntu.com) does not search the packagaes for ubuntu "ports" other than the mainstream architectures (i386, amd64, powerpc)

The ARM port is located here: http://ports.ubuntu.com/ubuntu-ports/
And the package I'm refering to: http://ports.ubuntu.com/ubuntu-ports/pool/main/l/linux-linaro-omap/

However, it seems you're right that this kernel is only available as an armel variant, not armhf. armhf is new and first available from ubuntu 12.04. Before that all ubuntu ARM ports were armel variants. My system is a 12.04 but I did not installed it from scratch but had already a working 11.10 installation which I upgraded to 12.04. And since all previous ubuntu was armel it got upgraded to 12.04-armel not armhf.

AFAIK it is not possible to switch the system architecture once the system is installed. So it looks like it's not possible to switch from armel to armhf other then complete reinstall.

Revision history for this message
Paolo Pisati (p-pisati) wrote :

modprobe snd-soc-omap
modprobe snd-soc-omap-mcbsp
modprobe snd-soc-omap3beagle

there's a dependency problem: snd-soc-omap3beagle requires the other two, but it doesn't have any way to force loading them.
Either you manaually load them, or you can try this kernel:

http://people.canonical.com/~ppisati/linux-image-3.2.0-27-omap_3.2.0-27.42~socomapy_armhf.deb

Changed in linux (Ubuntu):
assignee: nobody → Paolo Pisati (p-pisati)
status: Incomplete → In Progress
Revision history for this message
smiki (micouk) wrote :

I can confirm that loading manually the three kernel modules Paolo mentions above does fix the soundcard detection for the latest kernel in Precise (3.2.0-26-omap).

Tim Gardner (timg-tpi)
Changed in linux (Ubuntu Precise):
assignee: nobody → Paolo Pisati (p-pisati)
status: New → In Progress
Tim Gardner (timg-tpi)
Changed in linux (Ubuntu Precise):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Quantal):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Precise):
importance: Undecided → Medium
Revision history for this message
Francesco Brundu (francesco-brundu) wrote :

Sorry for being late. I can confirm too that now soundcard is detected with the fix proposed by Paolo. I got the audio out working unmuting all fields on alsamixer. However I cannot get audio in (microphone) detected by pulseaudio and I cannot make it work (for example with 'arecord | aplay'.
Capture hw device is listed on 'arecord -l':

**** List of CAPTURE Hardware Devices ****
 card 0: omap3beagle [omap3beagle], device 0: TWL4030 twl4030-hifi-0 []
   Subdevices: 1/1
   Subdevice #0: subdevice #0

Should I fill a new bug or is there a trivial solution for this?
Thanks

Revision history for this message
Paolo Pisati (p-pisati) wrote :

yes, please open a new bug and assign it to me.

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.5.0-4.4

---------------
linux (3.5.0-4.4) quantal-proposed; urgency=low

  [ Andy Whitcroft ]

  * [Packaging] getabis should be extracting all packages
    - LP: #1021174
  * [Config] getabis -- series uses linux-image-extra
    - LP: #1021174
  * rebase to v3.5-rc6

  [ Bryan Wu ]

  * [Config] built-in CONFIG_MICREL_PHY as other PHY drivers for all
    flavours
  * [Config] sync CONFIG_MOUSE_PS2_ config for all flavours

  [ Leann Ogasawara ]

  * [Config] Enable CONFIG_RT2800USB_RT35XX and CONFIG_RT2800USB_RT53XX
    - LP: #1019561

  [ Paolo Pisati ]

  * [Config] SND_OMAP_SOC, SND_OMAP_SOC_MCBSP and SND_OMAP_SOC_OMAP3_BEAGLE =y
    - LP: #1019321

  [ Stefan Bader ]

  * SAUCE: (pre-up) net: dont use __netdev_alloc_skb for bounce buffer
    - LP: #1018456
  * (config) Disable ACPI_PROCFS_POWER

  [ Tim Gardner ]

  * [Config] CONFIG_ACPI_BGRT=y
  * Extract firmware module info during getabi
    - LP: #1021174

  [ Upstream Kernel Changes ]

  * rebase to v3.5-rc6
 -- Leann Ogasawara <email address hidden> Mon, 09 Jul 2012 08:50:20 -0700

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
tags: added: verification-done
tags: added: verification-needed
removed: verification-done
tags: added: verification-done
removed: verification-needed
Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

Hi Paolo just tested today and the fix works flawless. Thanks, I hope you will manage to make mic work as well :)

Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (16.5 KiB)

This bug was fixed in the package linux - 3.2.0-29.46

---------------
linux (3.2.0-29.46) precise-proposed; urgency=low

  [ Tim Gardner ]

  * No change upload to fix armel/armhf FTBS caused by
    'UBUNTU: [Config] SND_OMAP_SOC, SND_OMAP_SOC_MCBSP and SND_OMAP_SOC_OMAP3_BEAGLE =y'
    Added ignore and ignore.module files to ABI directories.

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1029507

linux (3.2.0-29.45) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1029507

  [ Andy Whitcroft ]

  * SAUCE: rds_ib_send() -- prevent local pings triggering BUG_ON()
    - LP: #1016299
    - CVE-2012-2372

  [ Upstream Kernel Changes ]

  * Revert "samsung-laptop: make the dmi check less strict"
    - LP: #1029431
  * samsung-laptop: make the dmi check less strict
    - LP: #1029431
  * raid5: delayed stripe fix
    - LP: #1029431
  * tcp: drop SYN+FIN messages
    - LP: #1029431
  * tg3: Apply short DMA frag workaround to 5906
    - LP: #1029431
  * rtl8187: ->brightness_set can not sleep
    - LP: #1029431
  * net/wireless: ipw2x00: add supported cipher suites to wiphy
    initialization
    - LP: #1029431
  * kbuild: do not check for ancient modutils tools
    - LP: #1029431
  * brcmsmac: "INTERMEDIATE but not AMPDU" only when tracing
    - LP: #1029431
  * ext4: Report max_batch_time option correctly
    - LP: #1029431
  * NFSv4: Reduce the footprint of the idmapper
    - LP: #1029431
  * NFSv4: Further reduce the footprint of the idmapper
    - LP: #1029431
  * macvtap: zerocopy: fix offset calculation when building skb
    - LP: #1029431
  * macvtap: zerocopy: fix truesize underestimation
    - LP: #1029431
  * macvtap: zerocopy: put page when fail to get all requested user pages
    - LP: #1029431
  * macvtap: zerocopy: set SKBTX_DEV_ZEROCOPY only when skb is built
    successfully
    - LP: #1029431
  * macvtap: zerocopy: validate vectors before building skb
    - LP: #1029431
  * KVM: Fix buffer overflow in kvm_set_irq()
    - LP: #1029431
  * scsi: Silence unnecessary warnings about ioctl to partition
    - LP: #1029431
  * iommu/amd: Fix missing iommu_shutdown initialization in passthrough
    mode
    - LP: #1029431
  * iommu/amd: Initialize dma_ops for hotplug and sriov devices
    - LP: #1029431
  * usb: Add support for root hub port status CAS
    - LP: #1029431
  * gpiolib: wm8994: Pay attention to the value set when enabling as output
    - LP: #1029431
  * sched/nohz: Rewrite and fix load-avg computation -- again
    - LP: #1029431
  * USB: option: add ZTE MF60
    - LP: #1029431
  * USB: option: Add MEDIATEK product ids
    - LP: #1029431
  * USB: cdc-wdm: fix lockup on error in wdm_read
    - LP: #1029431
  * mtd: nandsim: don't open code a do_div helper
    - LP: #1029431
  * dvb-core: Release semaphore on error path dvb_register_device()
    - LP: #1029431
  * hwspinlock/core: use global ID to register hwspinlocks on multiple
    devices
    - LP: #1029431
  * libsas: fix taskfile corruption in sas_ata_qc_fill_rtf
    - LP: #1029431
  * md/raid1: fix use-after-free bug in RAID1 data-check code.
    - LP: #1029431
  * PCI: EHCI: fix crash during suspend on ASUS computers
    - L...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
Revision history for this message
Adam Conrad (adconrad) wrote : Update Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.